Create card
curl --request POST \
--url https://api.vidbeo.com/v2/videos/{VIDEO_ID}/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"show_at": "<string>",
"hide_at": "<string>",
"skip": true,
"top_text": "<string>",
"bottom_text": "<string>",
"link": "<string>"
}
'import requests
url = "https://api.vidbeo.com/v2/videos/{VIDEO_ID}/cards"
payload = {
"name": "<string>",
"show_at": "<string>",
"hide_at": "<string>",
"skip": True,
"top_text": "<string>",
"bottom_text": "<string>",
"link": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
show_at: '<string>',
hide_at: '<string>',
skip: true,
top_text: '<string>',
bottom_text: '<string>',
link: '<string>'
})
};
fetch('https://api.vidbeo.com/v2/videos/{VIDEO_ID}/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"name": "Example",
"show_at": "00:00:05",
"hide_at": "00:00:05",
"skip": false,
"top_text": "Example text",
"bottom_text": "Bottom text",
"link": "https://example.com"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}Videos
Create card
Create a new card
POST
/
videos
/
{VIDEO_ID}
/
cards
Create card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the video
Example:
"abcde12345abcde12345a"
Body
application/json
A short label for the card
Maximum string length:
100The time-code the card should appear at, as HH:MM:SS
Maximum string length:
8The time-code the card should hide at, as HH:MM:SS
Maximum string length:
8Can the user skip/hide it?
The main text shown on the card
Maximum string length:
100The lower text shown on the card
Maximum string length:
100The URL viewers will be taken to if they click the card
Maximum string length:
100⌘I